Package org.eclipse.rdf4j.query.algebra

## Class AbstractAggregateOperator

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.UnaryValueOperator
    - - org.eclipse.rdf4j.query.algebra.AbstractAggregateOperator

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `AggregateOperator`, `GraphPatternGroupable`, `QueryModelNode`, `ValueExpr`, `VariableScopeChange`
  Direct Known Subclasses:
    `AggregateOperatorBase`, `Avg`, `Count`, `GroupConcat`, `Max`, `Min`, `Sample`, `Sum`

      public abstract class AbstractAggregateOperator
      extends UnaryValueOperator
      implements AggregateOperator

  Base class for shared functionality of aggregate operators (e.g. DISTINCT setting)
  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.UnaryValueOperator

      `arg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractAggregateOperator​(ValueExpr arg)` |
    `protected` | `AbstractAggregateOperator​(ValueExpr arg, boolean distinct)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractAggregateOperator` | `clone()` | Returns a (deep) clone of this query model node.
    `int` | `hashCode()` |
    `boolean` | `isDistinct()` |
    `void` | `setDistinct​(boolean distinct)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.UnaryValueOperator

      `equals, getArg, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visit, visitChildren`

- - ### Constructor Detail

    - #### AbstractAggregateOperator

          protected AbstractAggregateOperator​(ValueExpr arg)

    - #### AbstractAggregateOperator

          protected AbstractAggregateOperator​(ValueExpr arg,
                                              boolean distinct)

  - ### Method Detail

    - #### setDistinct

          public void setDistinct​(boolean distinct)

      Specified by:
        `setDistinct` in interface `AggregateOperator`

    - #### isDistinct

          public boolean isDistinct()

      Specified by:
        `isDistinct` in interface `AggregateOperator`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `UnaryValueOperator`

    - #### clone

          public AbstractAggregateOperator clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `AggregateOperator`
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `ValueExpr`
      Overrides:
        `clone` in class `UnaryValueOperator`
      Returns:
        A deep clone of this query model node.